%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdeutils
%define VER 2.0
%define DATE 20001004
%define is_release 1
%define is_preview 1

%if %{is_preview}
Name: %{pkg}2
Prefix: /usr/lib/kde2
Requires: kdesupport2 zip unzip kdebase2 >= 1.94
BuildPrereq: kdebase2 >= 1.94
%else
Name: %{pkg}
Prefix: /usr
Requires: kdesupport zip unzip kdebase >= 1.94
BuildPrereq: kdebase >= 1.94
%endif
%if %{is_release}
Version: %{VER}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
%else
Version: %{VER}.%{DATE}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{DATE}.tar.bz2
%endif
Summary: K Desktop Environment - Utilities
Release: 1
Epoch: 6
Group: Applications/System
BuildRoot: %{_tmppath}/%{pkg}-buildroot
Copyright: GPL
ExcludeArch: ia64

%description
Utilities for the K Desktop Environment.
Includes: ark (tar/gzip archive  manager); kab (address book); karm (personal
time tracker); kcalc (scientific calculator); kedit (simple text editor);
kfloppy (floppy formatting tool); khexedit (hex editor); kjots (note taker);
klipper (clipboard tool); kljettool(HP printer configuration tool); klpq
(print queue manager) knotes (post-it notes for the desktop); kpm
(process manager similar to 'top', but more advanced);kwrite (improved
text editor).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{pkg}-%{version}
make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

%ifnarch alpha
CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-check-new" CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" \
%endif
./configure --prefix=%{prefix} --enable-final
make -C kfloppy # The Makefiles in kfloppy are broken; they can't handle
		# SMPified builds. FIXME
make -j $CPUS

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{pkg}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}

echo "%docdir %{prefix}/doc/kde" >> $RPM_BUILD_DIR/file.list.%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{pkg}

%files -f ../file.list.%{pkg}

%changelog
* Mon Oct 23 2000 Than Ngo <than@redhat.com>
- fixed specfile

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final


* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update to kdeutils-1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- turn off SMP build for kfloppy (broken Makefiles)

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against gcc-2.96-40 and glibc-2.1.92-14
- don't use make -j, it is broken

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update Epoch

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch: ia64

* Thu Apr  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Require and BuildPrereq kdebase - kfind uses libkonq.
- new snapshot

* Mon Mar 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- we don't support lp or lprng in 6.x, use lpr as spooler in klpq.
- specific requires for zip and unzip for ark.

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark docs files as such.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- kde 1.1.2 release.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot provides kpm and kwrite fixes.

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Mon Jan 18 1999 Preston Brown <pbrown@redhat.com>
- updated macros to be RPM 3.0 compliant, removed redhat dependency.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in changes from Duncan Haldane







